/*
 * File   : $Source: /usr/local/cvs/opencms/src-modules/org/opencms/workplace/tools/content/Messages.java,v $
 * Date   : $Date: 2005/07/29 15:38:42 $
 * Version: $Revision: 1.13 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Mananagement System
 *
 * Copyright (c) 2005 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.workplace.tools.content;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.<p> 
 * 
 * @author Achim Westermann 
 * @author Jan Baudisch 
 * 
 * @version $Revision: 1.13 $ 
 * 
 * @since 6.0.0 
 */
public final class Messages extends A_CmsMessageBundle {
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_DIALOG_TEMPLATE_ALL_0 = "GUI_CHANGEELEMENTLOCALE_DIALOG_TEMPLATE_ALL_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGEELEMENTLOCALE_LOCALE_EQUAL_0 = "ERR_CHANGEELEMENTLOCALE_LOCALE_EQUAL_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_NEWLOCALE_1 = "RPT_CHANGEELEMENTLOCALE_NEWLOCALE_1";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_OLDLOCALE_1 = "RPT_CHANGEELEMENTLOCALE_OLDLOCALE_1";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_NOTLOCKED_0 = "RPT_CHANGEELEMENTLOCALE_NOTLOCKED_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_TEMPLATE_0 = "RPT_CHANGEELEMENTLOCALE_TEMPLATE_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_BEGIN_2 = "RPT_CHANGEELEMENTLOCALE_BEGIN_2";
    
    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHANGEELEMENTLOCALE_END_0 = "RPT_CHANGEELEMENTLOCALE_END_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_THREAD_NAME_0 = "GUI_CHANGEELEMENTLOCALE_THREAD_NAME_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_GROUP_0 = "GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_GROUP_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_NAME_0 = "GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_NAME_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_HELP_0 = "GUI_CHANGEELEMENTLOCALE_ADMIN_TOOL_HELP_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_CHANGEELEMENTLOCALE_DIALOG_BLOCK_SETTINGS_0 = "GUI_CHANGEELEMENTLOCALE_DIALOG_BLOCK_SETTINGS_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DEL_PROP_RESOURCES_LOCKED_1 = "ERR_DEL_PROP_RESOURCES_LOCKED_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_ENTER_NEW_ELEM_0 = "GUI_ELEM_RENAME_VALIDATE_ENTER_NEW_ELEM_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_ENTER_OLD_ELEM_0 = "GUI_ELEM_RENAME_VALIDATE_ENTER_OLD_ELEM_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_INVALID_NEW_ELEM_2 = "GUI_ELEM_RENAME_VALIDATE_INVALID_NEW_ELEM_2";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_RESOURCE_FOLDER_0 = "GUI_ELEM_RENAME_VALIDATE_RESOURCE_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_SELECT_LANGUAGE_0 = "GUI_ELEM_RENAME_VALIDATE_SELECT_LANGUAGE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_ELEM_RENAME_VALIDATE_SELECT_TEMPLATE_0 = "GUI_ELEM_RENAME_VALIDATE_SELECT_TEMPLATE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_THREAD_NAME_0 = "GUI_MERGE_PAGES_THREAD_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_VALIDATE_FIRST_FOLDER_0 = "GUI_MERGE_PAGES_VALIDATE_FIRST_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_VALIDATE_FIRST_FOLDER_1 = "GUI_MERGE_PAGES_VALIDATE_FIRST_FOLDER_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_VALIDATE_SAME_FOLDER_0 = "GUI_MERGE_PAGES_VALIDATE_SAME_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_VALIDATE_SECOND_FOLDER_0 = "GUI_MERGE_PAGES_VALIDATE_SECOND_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_MERGE_PAGES_VALIDATE_SECOND_FOLDER_1 = "GUI_MERGE_PAGES_VALIDATE_SECOND_FOLDER_1";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_PROP_CHANGE_VALIDATE_VFS_RESOURCE_0 = "GUI_PROP_CHANGE_VALIDATE_VFS_RESOURCE_0"; 
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_PROP_CHANGE_VALIDATE_SELECT_PROPERTY_0 = "GUI_PROP_CHANGE_VALIDATE_SELECT_PROPERTY_0"; 
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_PROP_CHANGE_VALIDATE_OLD_PROP_VALUE_0 = "GUI_PROP_CHANGE_VALIDATE_OLD_PROP_VALUE_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_PROP_CHANGE_VALIDATE_OLD_PROP_PATTERN_0 = "GUI_PROP_CHANGE_VALIDATE_OLD_PROP_PATTERN_0";
    
    /** Message constant for key in the resource bundle. */
    public static final String GUI_PROP_CHANGE_VALIDATE_NEW_PROP_VALUE_0 = "GUI_PROP_CHANGE_VALIDATE_NEW_PROP_VALUE_0";


    /** Message constant for key in the resource bundle. */
    public static final String RPT_COPY_2 = "RPT_COPY_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CREATE_EXTERNAL_LINK_0 = "RPT_CREATE_EXTERNAL_LINK_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_DELETE_PAGE_1 = "RPT_DELETE_PAGE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_DOUBLE_ARROW_0 = "RPT_DOUBLE_ARROW_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_ELEM_RENAME_2 = "RPT_ELEM_RENAME_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_FOLDER1_EXCLUSIVE_0 = "RPT_FOLDER1_EXCLUSIVE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_FOLDER2_EXCLUSIVE_0 = "RPT_FOLDER2_EXCLUSIVE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_FOLDERS_DIFFERENTTYPES_0 = "RPT_FOLDERS_DIFFERENTTYPES_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_FOLDERS_EQUALNAMES_0 = "RPT_FOLDERS_EQUALNAMES_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_FOLDERS_SIBLING_0 = "RPT_FOLDERS_SIBLING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_INVALID_ARGUMENT_1 = "RPT_INVALID_ARGUMENT_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_LOCK_FOLDER_0 = "RPT_LOCK_FOLDER_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_MERGE_PAGES_BEGIN_0 = "RPT_MERGE_PAGES_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_MERGE_PAGES_BEGIN_1 = "RPT_MERGE_PAGES_BEGIN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_MERGE_PAGES_END_0 = "RPT_MERGE_PAGES_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_NEW_ELEM_EXISTS_0 = "RPT_NEW_ELEM_EXISTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_NONEXISTANT_ELEM_1 = "RPT_NONEXISTANT_ELEM_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_NUM_PAGES_1 = "RPT_NUM_PAGES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PROCESS_0 = "RPT_PROCESS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PROCESS_1 = "RPT_PROCESS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PROCESS_TEXT_ELEM_1 = "RPT_PROCESS_TEXT_ELEM_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PROCESSING_PAGE_0 = "RPT_PROCESSING_PAGE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_READ_CONTENT_2 = "RPT_READ_CONTENT_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_READ_PROPERTIES_1 = "RPT_READ_PROPERTIES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_REMOVE_INVALID_EMPTY_ELEM_1 = "RPT_REMOVE_INVALID_EMPTY_ELEM_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_RENAME_LANG_1 = "RPT_RENAME_LANG_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_RESORE_PROPERTIES_1 = "RPT_RESORE_PROPERTIES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SCAN_PAGES_IN_FOLDER_BEGIN_2 = "RPT_SCAN_PAGES_IN_FOLDER_BEGIN_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SCAN_PAGES_IN_FOLDER_END_0 = "RPT_SCAN_PAGES_IN_FOLDER_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SCANNING_RESULTS_0 = "RPT_SCANNING_RESULTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_UNLOCK_1 = "RPT_UNLOCK_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_WRITE_CONTENT_1 = "RPT_WRITE_CONTENT_1";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.workplace.tools.content.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}