/*
 * File   : $Source: /usr/local/cvs/opencms/src/org/opencms/workplace/threads/Messages.java,v $
 * Date   : $Date: 2005/06/23 11:11:55 $
 * Version: $Revision: 1.8 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Mananagement System
 *
 * Copyright (c) 2005 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.workplace.threads;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.<p> 
 * 
 * @version $Revision: 1.8 $ 
 * 
 * @since 6.0.0 
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DB_EXPORT_0 = "ERR_DB_EXPORT_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DB_IMPORT_0 = "ERR_DB_IMPORT_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LINK_VALIDATION_0 = "ERR_LINK_VALIDATION_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DB_IMPORT_THREAD_NAME_1 = "GUI_DB_IMPORT_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DELETE_MODULE_PROJECT_DESC_1 = "GUI_DELETE_MODULE_PROJECT_DESC_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DELETE_MODULE_PROJECT_NAME_0 = "GUI_DELETE_MODULE_PROJECT_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DELETE_MODULE_THREAD_NAME_1 = "GUI_DELETE_MODULE_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_DELETE_PROJECT_THREAD_NAME_1 = "GUI_DELETE_PROJECT_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HTML_LINK_VALIDATOR_THREAD_NAME_1 = "GUI_HTML_LINK_VALIDATOR_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_PUBLISH_TRHEAD_NAME_0 = "GUI_PUBLISH_TRHEAD_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_REPLACE_MODULE_THREAD_NAME_1 = "GUI_REPLACE_MODULE_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_REPORT_TEST_THREAD_NAME_0 = "GUI_REPORT_TEST_THREAD_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_SYNCHRONIZE_THREAD_NAME_1 = "GUI_SYNCHRONIZE_THREAD_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DELETE_THREAD_CONSTRUCTED_0 = "LOG_DELETE_THREAD_CONSTRUCTED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DELETE_THREAD_FINISHED_0 = "LOG_DELETE_THREAD_FINISHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DELETE_THREAD_STARTED_0 = "LOG_DELETE_THREAD_STARTED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_MODULE_DELETE_FAILED_1 = "LOG_MODULE_DELETE_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_MOVE_RESOURCE_FAILED_1 = "LOG_MOVE_RESOURCE_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_PROJECT_DELETE_FAILED_1 = "LOG_PROJECT_DELETE_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_PUBLISH_PROJECT_FAILED_0 = "LOG_PUBLISH_PROJECT_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REPLACE_THREAD_CONSTRUCTED_0 = "LOG_REPLACE_THREAD_CONSTRUCTED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REPLACE_THREAD_FINISHED_0 = "LOG_REPLACE_THREAD_FINISHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REPLACE_THREAD_START_DELETE_0 = "LOG_REPLACE_THREAD_START_DELETE_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REPLACE_THREAD_START_IMPORT_0 = "LOG_REPLACE_THREAD_START_IMPORT_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_DELETE_MODULE_BEGIN_0 = "RPT_DELETE_MODULE_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_DELETE_MODULE_END_0 = "RPT_DELETE_MODULE_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_PROJECT_BEGIN_0 = "RPT_PUBLISH_PROJECT_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_PROJECT_END_0 = "RPT_PUBLISH_PROJECT_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_RESOURCE_BEGIN_0 = "RPT_PUBLISH_RESOURCE_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_RESOURCE_END_0 = "RPT_PUBLISH_RESOURCE_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_RESOURCE_SWITCH_PROJECT_1 = "RPT_PUBLISH_RESOURCE_SWITCH_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SYNCHRONIZE_BEGIN_0 = "RPT_SYNCHRONIZE_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SYNCHRONIZE_END_0 = "RPT_SYNCHRONIZE_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SYNCHRONIZE_FOLDERS_2 = "RPT_SYNCHRONIZE_FOLDERS_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_TEST_REPORT_BEGIN_0 = "RPT_TEST_REPORT_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_TEST_REPORT_END_0 = "RPT_TEST_REPORT_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_TEST_REPORT_OUTPUT_0 = "RPT_TEST_REPORT_OUTPUT_0";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.workplace.threads.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}